USE COWS
GO

CREATE TABLE [dbo].[LK_MENU](
	[MENU_ID] [smallint] NOT NULL,
	[MENU_NME] [varchar](100) NOT NULL,
	[MENU_DES] [varchar](250) NOT NULL,
	[DPTH_LVL] [tinyint] NOT NULL,
	[PRNT_MENU_ID]	[smallint] NOT NULL,
	[DSPL_ORDR] [tinyint] NULL,
	[SRC_PATH] [varchar](1000) NULL,
	[REC_STUS_ID] [tinyint] NOT NULL,
	[MODFD_DT] [smalldatetime] NULL,
	[CREAT_DT] [smalldatetime] NOT NULL,
 CONSTRAINT [PK_LK_MENU] PRIMARY KEY CLUSTERED 
(
	[MENU_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [UX01_LK_MENU] UNIQUE NONCLUSTERED 
(
	[MENU_NME] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX01_LK_MENU] ON [dbo].[LK_MENU]
(
	[MENU_NME] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

ALTER TABLE [dbo].[LK_MENU] ADD  CONSTRAINT [DF_LK_MENU_1]  DEFAULT ((1)) FOR [REC_STUS_ID]
GO

ALTER TABLE [dbo].[LK_MENU] ADD  CONSTRAINT [DF_LK_MENU_2]  DEFAULT ((0)) FOR [DPTH_LVL]
GO

ALTER TABLE [dbo].[LK_MENU] ADD  CONSTRAINT [DF_LK_MENU_getdate]  DEFAULT (getdate()) FOR [CREAT_DT]
GO

ALTER TABLE [dbo].[LK_MENU]  ADD  CONSTRAINT [FK01_LK_MENU] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO